Delete a specific class

Deletes a scheduled class identified by classId.
If a class is deleted any class occurences will no longer be available.

Required Scope: write:classes_and_bookings


Required Role:

This endpoint is availble to clients using the client credentials grant.
When using the authorization code flow grant the authorized user must be an Owner or Coach to use this endpoint.

Path Params
uuid
required

The requested class's ID

Body Params
string
required

AccountId of user performing the action. Only requried for client_credentials requests.

Responses
200

Successfully deleted class.

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json